/**
 * Wowza server software and all components Copyright 2006 - 2015, Wowza Media Systems, LLC, licensed pursuant to the Wowza Media Software End User License Agreement.
 */
package com.wowza.wms.plugin.collection.httpstreamer;

import com.wowza.wms.httpstreamer.cupertinostreaming.livestreampacketizer.HTTPStreamerCupertinoLiveStreamPacketizerChunkIdContext;
import com.wowza.wms.httpstreamer.cupertinostreaming.livestreampacketizer.IHTTPStreamerCupertinoLiveStreamPacketizerChunkIdHandler;
import com.wowza.wms.httpstreamer.cupertinostreaming.livestreampacketizer.LiveStreamPacketizerCupertino;

public class CupertinoChunkIdHandlerSystemTime implements IHTTPStreamerCupertinoLiveStreamPacketizerChunkIdHandler
{
	long offset = -1;

	@Override
	public void init(LiveStreamPacketizerCupertino liveStreamPacketizer)
	{
		offset = System.currentTimeMillis() / liveStreamPacketizer.getChunkDurationTarget();
	}

	@Override
	public long onAssignChunkId(HTTPStreamerCupertinoLiveStreamPacketizerChunkIdContext chunkIdContext)
	{
		return offset + chunkIdContext.getChunkIndex();
	}
}
