/**
 * Wowza server software and all components Copyright 2006 - 2015, Wowza Media Systems, LLC, licensed pursuant to the Wowza Media Software End User License Agreement.
 */
package com.wowza.wms.plugin.collection.httpstreamer;

import com.wowza.wms.httpstreamer.sanjosestreaming.livestreampacketizer.HTTPStreamerSanJoseLiveStreamPacketizerChunkIdContext;
import com.wowza.wms.httpstreamer.sanjosestreaming.livestreampacketizer.IHTTPStreamerSanJoseLiveStreamPacketizerChunkIdHandler;
import com.wowza.wms.httpstreamer.sanjosestreaming.livestreampacketizer.LiveStreamPacketizerSanJose;

public class SanJoseChunkIdHandlerSystemTime implements IHTTPStreamerSanJoseLiveStreamPacketizerChunkIdHandler
{
	long offset = -1;

	@Override
	public void init(LiveStreamPacketizerSanJose liveStreamPacketizer)
	{
		offset = System.currentTimeMillis() / liveStreamPacketizer.getChunkDurationTarget();
	}

	@Override
	public long onAssignChunkId(HTTPStreamerSanJoseLiveStreamPacketizerChunkIdContext chunkIdContext)
	{
		return offset + chunkIdContext.getChunkIndex();
	}
}
